Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.cmp.jdbc2
Class FindByPrimaryKeyCommand

    java.lang.Object
      org.jboss.ejb.plugins.cmp.jdbc2.AbstractQueryCommand
          org.jboss.ejb.plugins.cmp.jdbc2.FindByPrimaryKeyCommand

All Implemented Interfaces:
  QueryCommand

public class FindByPrimaryKeyCommand
extends AbstractQueryCommand

Version:
  `$Revision: 1.5 $`
Author:
  Alexey Loubyansky

Field Summary

Fields inherited from class org.jboss.ejb.plugins.cmp.jdbc2.AbstractQueryCommand
`entity, log, params, sql`

Constructor Summary
`FindByPrimaryKeyCommand(JDBCEntityBridge2 entity)`

Method Summary
`Object` | `fetchOne(Schema schema, GenericEntityObjectFactory factory, Object[] args)`

Methods inherited from class org.jboss.ejb.plugins.cmp.jdbc2.AbstractQueryCommand
`executeFetchOne, fetchCollection, getStoreManager, setEntityReader, setFieldReader, setFunctionReader, setParameters, setResultType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FindByPrimaryKeyCommand

    public FindByPrimaryKeyCommand(JDBCEntityBridge2 entity)
                            throws org.jboss.deployment.DeploymentException

Method Detail

### fetchOne

    public Object fetchOne(Schema schema,
                           GenericEntityObjectFactory factory,
                           Object[] args)
                    throws javax.ejb.FinderException

  Specified by:
    `fetchOne` in interface `QueryCommand`
  Overrides:
    `fetchOne` in class `AbstractQueryCommand`
  Throws:
    `javax.ejb.FinderException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.